"----------------------------------------------------------------"
"                                                                "
" Author: Keith Corzine                                          "
"         Dept of Electrical Engineering                         "
"         University of Wisconsin - Milwaukee                    "
"         3200 N. Cramer Street                                  "
"         Milwaukee, WI 53211                                    "
"         Tel: 414-229-4679                                      "
"         Fax: 414-229-6958                                      "
"         E-mail: Keith@Corzine.net                              "
"   Date: 2003/07/06                                             "
"                                                                "
"----------------------------------------------------------------"
"----------------------------------------------------------------"
"                                                                "
"     Program: Multilevel.csl                                    "
"                                                                "
" Description: Multilevel inverter simulation with               "
"              output filter.                                    "
"                                                                "
"     Version: 1.0                                               "
"                                                                "
"----------------------------------------------------------------"

s weditg=.f.
s hvdprn=.f.
s calplt=.f.
s strplt=.t.
s alcplt=.f.

procedure cal
   s strplt=.f.
   s calplt=.t.
   s alcplt=.t.
end

procedure str
   s calplt=.f.
   s strplt=.t.
   s alcplt=.f.
end


prepar t
prepar sa,sb,sc
prepar vag,vas,van,vabn,ias
prepar vcapa,ta


procedure Study1

   start
   Plot1

end ! Study1


procedure Plot1
   plot ias/lo=-250/hi=250, &
        vas/lo=-5e3/hi=5e3, &
        van/lo=-5e3/hi=5e3, &
        vabn/lo=-7e3/hi=7e3, &
        vag/lo=0/hi=7e3, &
        /xaxis=t/xlo=0.1/xhi=0.133
end ! Plot1


Procedure Plot2
   plot ta/lo=-1/hi=2, &
        /xaxis=t/xlo=0.1/xhi=0.133
end ! Plot2


Procedure Plot3
   cal
   plot vcapa/lo=0/hi=6e3, &
        /xaxis=t/xlo=0.1/xhi=0.133
   str
end ! Plot3